nV News Forums

 
 

nV News Forums (http://www.nvnews.net/vbulletin/index.php)
-   NVIDIA Linux (http://www.nvnews.net/vbulletin/forumdisplay.php?f=14)
-   -   Floating point exception with 260.19.21.run version (http://www.nvnews.net/vbulletin/showthread.php?t=158463)

manchette 01-06-11 07:46 AM

Floating point exception with 260.19.21.run version
 
Hi ;)

Could you please help me understand why nvidia drivers are not ok anymore for me since a few versions ? Is this harware, kde, X, driver, kernel ?

After upgrade with version 260.19.29 i have a floating point exception when booting (i'm always using nvidia file, x86 last .run, and install it from init 3 ).

This problem for me is since 256.53 version of nvidia driver , i keep on installing new driver, install seems ok but after reboot (shutdown -r now) i have a floating point exception with a black screen and an error message that i can't close, so i need to close session and go back to ctrl/alt/F1 console and then to init 3 to reinstall my "old" version (256.53 .run) ; which i kept handy in a secret place ;)

Thanks ;)

(btw i've been told it's a known issue since kde 4.5 and ok with kde 4.4.4 (??) and also that kde 4.6 rc1 works ok ... )

i'm using
opensuse 11.3
Qt: 4.7.1
KDE Development Platform: 4.5.90 (4.6 RC1)
Core 2 Duo E8400 @ 3ghz (this is x86 and 32 bits)
Geforce 7900 GS
Asrock motherboard
uname -a is :
Linux linux-alzh 2.6.34.7-0.7-desktop #1 SMP PREEMPT 2010-12-13 11:13:53 +0100 i686 i686 i386 GNU/Linux

Deanjo 01-06-11 10:47 AM

Re: Floating point exception with 260.19.21.run version
 
Logs would be kind of important to offer any kind of diagnosis.

manchette 01-06-11 11:06 AM

Re: Floating point exception with 260.19.21.run version
 
Which ones would be interesting ?

VLJ 01-06-11 03:46 PM

Re: Floating point exception with 260.19.21.run version
 
I had the same issue.
KDE 4.5/4.6RC does not run on driver > 256.53 when using a too old kernel (or xorg...don't know which component is responsible).

However KDE > 4.4 run fines with a 2.6.35+ kernel and 1.9 xorg-server ; such a configuration is provided by openSUSE Factory (I'm running milestone 5 with KDE 4.6 beta and 2.6.37rc kernel and xorg 1.9.x), but it can be unstable.
You may ask tumbleweed to ship a newer kernel/xorg server (or wait 2 extra month before opensuse 11.4 ship); with current configuration, openSUSE 11.3 won't be able to run KDE 4.5 with nvidia drivers.

Notice that Gnome 3 has performance issue on xorg server 1.8 with nvidia drivers, solved with 1.9 xorg server.

manchette 01-06-11 05:19 PM

Re: Floating point exception with 260.19.21.run version
 
"a 2.6.35+ kernel and 1.9 xorg-server"

Very interesting, thanks ;)

Licaon 01-07-11 10:00 AM

Re: Floating point exception with 260.19.21.run version
 
Quote:

Originally Posted by manchette (Post 2373600)
Which ones would be interesting ?

you did not follow the sticky procedure:
To make sure this log file includes as much relevant information as possible, please start the X server with `startx -- -logverbose 6` and run `nvidia-bug-report.sh` after the problem has occurred. from If you have a problem, PLEASE read this first ;)

Deanjo 01-07-11 09:54 PM

Re: Floating point exception with 260.19.21.run version
 
Well just a note: I'm also running opensuse 11.3 64-bit on quite a few systems and none have ever had a floating point exception. Some are running KDE 4.5.4 and 4.6 RC. All of them are running various generations of cards (7300GS, 8200 IGP, 8800GT, GTX-275, GTX-580) all running the 260.19.29 and all of them are running fine with the 2.6.34.7-0.7.1-desktop kernel.

I'm not sure why you are running 32-bit on your system but it might be worth to give it a shot. For what it is worth all the systems that I'm running them on are AMD processors with nvidia nforce chipsets.

rabauke 02-09-11 04:27 AM

Re: Floating point exception with 260.19.21.run version
 
This bug only affects 32bit systems and only for driver versions > 256.53 and KDE > 4.4. Kernel .34 and .36.

KDE 4.6.0 is also affected.

Downstream bug reports are:

https://bugzilla.novell.com/show_bug.cgi?id=648718
https://bugs.kde.org/show_bug.cgi?id=251719
http://forums.opensuse.org/english/g...19-issues.html

Licaon 02-09-11 04:57 AM

Re: Floating point exception with 260.19.21.run version
 
Quote:

Originally Posted by rabauke (Post 2389371)
This bug only affects 32bit systems and only for driver versions > 256.53 and KDE > 4.4. Kernel .34 and .36.

KDE 4.6.0 is also affected.

driver 270.18 too?

Lowrider39 02-09-11 06:17 AM

Re: Floating point exception with 260.19.21.run version
 
2 Attachment(s)
Perhaps the attached files are helpfull. If not, tell me what can be helpfull. Sorry I am a pure user.

Licaon 02-10-11 02:36 AM

Re: Floating point exception with 260.19.21.run version
 
Quote:

Originally Posted by Lowrider39 (Post 2389385)
Perhaps the attached files are helpfull. If not, tell me what can be helpfull. Sorry I am a pure user.

can you read http://www.nvnews.net/vbulletin/showthread.php?t=46678 and generate a good report with the debug ( -logverbose 6 ) info as instructed after the issue appears ?

briohewi 02-27-11 06:36 PM

Re: Floating point exception with 260.19.21.run version
 
Fixed for me by 270.29. Thanks.


All times are GMT -5. The time now is 02:29 AM.

Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.